Role Name
=========

A role that installs simplesaml, <https://simplesamlphp.org/>

Role Variables
--------------

The most important variables are listed below. See the defaults file for the complete list.

``` yaml
simplesaml_dist_name: Simplesaml
simplesaml_major: 1
simplesaml_minor: 18
simplesaml_fix: 0
simplesaml_tech_name: 'Administrator'
simplesaml_tech_email: 'na@example.org'
# simplesaml_admin_password: use a vault file
simplesaml_protectindexpage: 'true'
simplesaml_protectmetadata: 'false'
# ERR, WARNING, NOTICE, INFO, DEBUG
simplesaml_loglevel: NOTICE
simplesaml_debug_saml: 'false'
simplesaml_debug_backtraces: 'true'
simplesaml_debug_validatexml: 'false'
simplesaml_php_show_errors: 'false'
simplesaml_error_reporting: 'false'

# Change this one when we are setting up a cluster of simplesaml servers
simplesaml_create_self_signed_cert_host: '{{ ansible_fqdn }}'
simplesaml_provide_an_external_cert: False
simplesaml_servername: '{{ ansible_fqdn }}'

simplesaml_enable_saml20_idp: 'true'
simplesaml_use_uri_nameformat: True
simplesaml_enable_shib13_idp: 'false'
simplesaml_enable_adfs_idp: 'false'
simplesaml_enable_wsfed_sp: 'false'
simplesaml_webcookie: 'false'

simplesaml_cookiename: 'SimpleSAML'
simplesaml_httponly: 'true'

simplesaml_language_default: 'en'

# The sp-remote sytax is quite complex
simplesaml_global_sp_remote_template: False
simplesaml_global_metadata: []
```

Dependencies
------------

* postgresql
* php-fpm
* nginx
* redis
* memcached

License
-------

EUPL-1.2

Author Information
------------------

Andrea Dell'Amico, <andrea.dellamico@isti.cnr.it>
